Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Virgo » Bundle Error:Import-package:xxxx can not be resovled(SpringSource Bundle Dependency Ploblem)
Bundle Error:Import-package:xxxx can not be resovled [message #701015] Sun, 24 July 2011 12:46 Go to next message
xmuysa is currently offline xmuysaFriend
Messages: 1
Registered: July 2011
Junior Member
Hi,
I have created two bundle projects,one is com.xxx.domain and the other is com.xxx.dao.I export the package of com.xxx.domain,then import package in com.xxx.dao,but something has gone wrong with manifest.mf:

In the Marker page:
Description:Import-Bundle: com.xxx.domain [1.0.0, 1.0.0] could not be resolved
On element:manifest.mf
In folder:com.xxx.dao/src/main/resources/META-INF
Location:line 10

IDE:STS 2.7.1
Server:virgo web server

Where is the issue?

Don,
Yang
Re: Bundle Error:Import-package:xxxx can not be resovled [message #701479 is a reply to message #701015] Mon, 25 July 2011 07:06 Go to previous messageGo to next message
Hristo Iliev is currently offline Hristo IlievFriend
Messages: 156
Registered: May 2010
Location: Sofia, Bulgaria
Senior Member

Can you please post the two manifests here?

Is the problem reproducible only via the IDE? Have you tried dropping the bundles in Virgo's pickup directory?
Re: Bundle Error:Import-package:xxxx can not be resovled [message #705411 is a reply to message #701479] Fri, 29 July 2011 20:55 Go to previous messageGo to next message
rshelley  is currently offline rshelley Friend
Messages: 59
Registered: April 2010
Member
Sounds like the bug I raised:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=353445
Re: Bundle Error:Import-package:xxxx can not be resovled [message #716698 is a reply to message #701015] Thu, 18 August 2011 06:54 Go to previous messageGo to next message
Maxim  is currently offline Maxim Friend
Messages: 1
Registered: August 2011
Junior Member
Hi everyone,
I have exactly the same problem with my test application. I use Eclipse Indigo and the latest version of the Virgo Tooling Plug-in. In my workspace I have two projects. One is a normal "Bundle Project". The other is a "Dynamic Web Project". The web bundle needs to access a service from the other bundle. Therefore my Manifest files look like that:

Bundle exporting a service:
Manifest-Version: 1.0
Export-Package: ch.xxx.dataintegration
Bundle-Version: 1.0.0
Tool: Bundlor 1.1.0.BUILD-20101220120024
Bundle-Name: Dataintegration
Bundle-ManifestVersion: 2
Bundle-SymbolicName: ch.xxx.dataintegration
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Import-Library: org.springframework.spring;version="[3.0.5.RELEASE,3.0.5.RELEASE]"
Import-Bundle: org.springframework.integration;version="[2.0.4.RELEASE,2.0.4.RELEASE]"


Web Bundle using the service:
Manifest-Version: 1.0
Bundle-Version: 1.0.0
Tool: Bundlor 1.1.0.BUILD-20101220120024
Bundle-Name: Dataintegration.Web
Bundle-SymbolicName: ch.xxx.dataintegration.web
Bundle-ClassPath: WEB-INF/classes
Import-Library: org.springframework.spring;version="[3.0.5.RELEASE,3.0.5.RELEASE]"
Import-Bundle: javax.servlet;version="[3.0.0.v201103241009,3.0.0.v201103241009]"
Web-ContextPath: xxx
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Import-Package: ch.xxx.dataintegration


I am pretty sure that this configuration is fine. When I deploy both projects in Virgo 3.0 RC1 everything works like expected.

The problem is that within Eclipse I see an error. The manifest of the web project is marked as faulty. The error is:
Import-Package: ch.xxx.dataintegration[0.0.0, oo) could not be resolved


I assume that this is a Virgo Tooling problem, because the project runs fine when I deploy it into Virgo. I also think that it has nothing to do with the bug or problem posted in the previous post.

Another unclear point is: Within Eclipse I added a project dependency (Project Properties > Java Build Path > Projects) so I see no compile errors in the dependent project. Is this necessary or should the Virgo Tooling Plug-in manage this automatically?

Is this a bug in Virgo Tooling or did I configured something not correctly? Hope you can help me.

Kind regards
Maxim
Re: Bundle Error:Import-package:xxxx can not be resovled [message #901365 is a reply to message #701015] Sat, 11 August 2012 14:13 Go to previous messageGo to next message
James Sharier is currently offline James SharierFriend
Messages: 1
Registered: August 2012
Junior Member
Hi, I'm running into the same issue.

I'm using STS-2.9.2.RELEASE with Virgo Tooling http://download.eclipse.org/virgo/milestone/tooling and Virgo 3.5.0.RELEASE.

I create two projects using the Virgo -> Bundle Project Wizard.

Here is my exporting MANIFEST.MF

Manifest-Version: 1.0
Bundle-Version: 1.0.0
Bundle-Name: HelloWorld
Bundle-ManifestVersion: 2
Bundle-Description: JAVAWORLD
Bundle-SymbolicName: com.javaworld.sample.HelloWorld
Bundle-Activator: com.javaworld.sample.HelloWorld.Activator
Import-Package: org.osgi.framework;version="[1.7.0,1.7.0]"
Export-Package: com.javaworld.sample.HelloWorld

Here is my importing MANIFEST.MF

Manifest-Version: 1.0
Bundle-Version: 1.0.0
Bundle-Name: HelloWorldSpring
Bundle-ManifestVersion: 2
Bundle-SymbolicName: HelloWorldSpring
Import-Package: com.javaworld.sample.HelloWorld,
org.osgi.framework;version="[1.7.0,1.7.0]"

As soon as I add the dependency Eclipse gives me this error.

Import-Package: com.javaworld.sample.HelloWorld [0.0.0, oo) could not be resolved MANIFEST.MF /HelloWorldSpring/src/META-INF line 6 Virgo Bundle Dependency Problem

I also tried adding the project containing the "com.javaworld.sample.HelloWorld" package via Project Properties -> Java Build Path -> Projects. Doing so allows me to access the classes within Eclipse without error but I still see the Import-Package error.

I tried to run both bundles in Virgo by using Run As -> Run on Server.

I noticed the bundle with the dependency (HelloWorldSpring) was started before the HelloWorld Bundle which was unexpected. I thought Virgo was supposed to determine the dependencies and launch the bundles in order?

Next I started Virgo within Eclipse with just the HelloWorld bundle and everything started. Then I ran the HelloWorldSpring bundle using Run As -> Run on Server and that successfully ran too.

Am I doing something wrong in Eclipse to cause the Import-Package error? Or is this a tool bug?
While developing do I need to manually deploy bundles in the proper order?

Any help is appreciated.

Thanks
Re: Bundle Error:Import-package:xxxx can not be resovled [message #1433120 is a reply to message #701015] Sun, 28 September 2014 07:58 Go to previous message
wang chuanyin is currently offline wang chuanyinFriend
Messages: 1
Registered: September 2014
Junior Member
Sad
This problem, it was resolved yet???
Previous Topic:Bundlor and 'static resources'
Next Topic:Support for Spring 4.0
Goto Forum:
  


Current Time: Sun Dec 21 02:48:42 GMT 2014

Powered by FUDForum. Page generated in 0.02765 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software